﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WinExplorerBarButton
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            // = true;
            
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            UserControl1 myControl = new UserControl1(listBox1);
            myControl.Location = new Point(0,0);
            myControl.Width = ultraExplorerBarContainerControl1.Width;
            myControl.Anchor = AnchorStyles.Left| AnchorStyles.Right | AnchorStyles.Top;
            ultraExplorerBarContainerControl1.Controls.Add(myControl);
            ultraExplorerBar1.UseFlatMode = Infragistics.Win.DefaultableBoolean.False;

            //First Change to allow user pressing enter on the keyboard that qwould trigger Button Click
            //You can verify this by expanding the explorerbar (not flyout) and press enter that would trigger button click
            this.AcceptButton = myControl.DefaultButton;
            
        }

        private void ultraExplorerBar1_NavigationPaneFlyoutDisplaying(object sender, Infragistics.Win.UltraWinExplorerBar.NavigationPaneFlyoutDisplayingEventArgs e)
        {
            e.PreferredSize = new System.Drawing.Size(75, 150);

        }

        private void button1_Click(object sender, EventArgs e)
        {
            ultraExplorerBar1.ShowNavigationPaneFlyout();

        }

        //Second Change to allow user pressing enter on the keyboard that would trigger Button Click when NavigationPaneFlyout
        private void ultraExplorerBar1_NavigationPaneFlyoutDisplayed(object sender, EventArgs e)
        {
            if (this.ultraExplorerBar1.SelectedGroup != null)
            {
                UserControl1 myControl = this.ultraExplorerBar1.SelectedGroup.Container.Controls[0] as UserControl1;
                if (myControl != null)
                {
                    
                    this.AcceptButton = myControl.DefaultButton;
                }
            }
        }
    }
}
